Subject: bug#73205: closed (Re: bug#73205: 30.0.91; Failed test: uniquify-project-transform at lisp/uniquify-tests.el:130)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 21 Sep 2024 09:48:02 +0000

Your bug report

#73205: 30.0.91; Failed test: uniquify-project-transform at lisp/uniquify-tests.el:130

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
73205: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=73205
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#73205: 30.0.91; Failed test: uniquify-project-transform at lisp/uniquify-tests.el:130
From: Eli Zaretskii <[email-masked]>
To: [email-masked], [email-masked]
Cc: [email-masked], [email-masked]
Date: Sat, 21 Sep 2024 12:47:05 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> Cc: [email-masked], [email-masked], [email-masked]
> Date: Fri, 13 Sep 2024 13:48:39 +0300
> From: Eli Zaretskii <[email-masked]>
> 
> > From: "Mattias Engdegård" <[email-masked]>
> > Date: Fri, 13 Sep 2024 12:20:14 +0200
> > Cc: "N. Jackson" <[email-masked]>,
> >  Spencer Baugh <[email-masked]>,
> >  [email-masked]
> > 
> > 13 sep. 2024 kl. 08.25 skrev Eli Zaretskii <[email-masked]>:
> > 
> > >>     FAILED  uniquify-project-transform
> > 
> > Looks like it fails because there is no current project in a tree that isn't under version control.
> > I added a gate. Spencer, feel free to change if you want something fancier, but I don't think we really need full coverage for non-Git trees.
> 
> >From my POV, skipping this test if not in a Git checkout is fine.
> 
> Thanks.

I see that Mattias modified this test to be skipped outside a Git
checkout, so I'm now closing this bug.

Subject: 30.0.91; Failed test: uniquify-project-transform at lisp/uniquify-tests.el:130
From: "N. Jackson" <[email-masked]>
To: [email-masked]
Date: Thu, 12 Sep 2024 17:42:36 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

I'm not certain if this test failure is a bug in Emacs or a problem
with my build.

After building Emacs 30.0.91 from the tarball with

  $ ./configure
  $ make -j

and then running

  $ make test

I get the following test results:

  SUMMARY OF TEST RESULTS
  -----------------------
  Files examined: 519
  Ran 7898 tests, 7661 results as expected, 1 unexpected, 236 skipped
  1 files contained unexpected results:
    lisp/uniquify-tests.log

The details of the failed test are:

    ELC+ELN  lisp/uniquify-tests.elc
    GEN      lisp/uniquify-tests.log
  Running 7 tests (2024-09-12 12:30:54-0400, selector `(not (or (tag :expensive-test) (tag :unstable)))')
     passed  1/7  uniquify-basic (0.049446 sec)
     passed  2/7  uniquify-dirs (0.052217 sec)
  Test uniquify-project-transform backtrace:
    signal(ert-test-failed (((should (equal (mapcar #'buffer-name bufs) 
    ert-fail(((should (equal (mapcar #'buffer-name bufs) '("README<other
    #f(compiled-function () #<bytecode 0x1832166822f8ac0c>)()
    #f(compiled-function () #<bytecode -0xd7b405b6433f139>)()
    handler-bind-1(#f(compiled-function () #<bytecode -0xd7b405b6433f139
    ert--run-test-internal(#s(ert--test-execution-info :test #s(ert-test
    ert-run-test(#s(ert-test :name uniquify-project-transform :documenta
    ert-run-or-rerun-test(#s(ert--stats :selector (not (or ... ...)) :te
    ert-run-tests((not (or (tag :expensive-test) (tag :unstable))) #f(co
    ert-run-tests-batch((not (or (tag :expensive-test) (tag :unstable)))
    ert-run-tests-batch-and-exit((not (or (tag :expensive-test) (tag :un
    eval((ert-run-tests-batch-and-exit '(not (or (tag :expensive-test) (
    command-line-1(("-L" ":." "-l" "ert" "--eval" "(setq treesit-extra-l
    command-line()
    normal-top-level()
  Test uniquify-project-transform condition:
      (ert-test-failed
       ((should (equal (mapcar ... bufs) '("README<other>" "README<bar>")))
        :form
        (equal ("README<other>" "README<emacs-30.0.91>")
               ("README<other>" "README<bar>"))
        :value nil :explanation
        (list-elt 1
                  (arrays-of-different-length 21 11 "README<emacs-30.0.91>"
                                              "README<bar>"
                                              first-mismatch-at 7))))
     FAILED  3/7  uniquify-project-transform (0.042755 sec) at lisp/uniquify-tests.el:130
     passed  4/7  uniquify-rename-to-dir (0.000854 sec)
     passed  5/7  uniquify-separator-ignored (0.007538 sec)
     passed  6/7  uniquify-separator-style-reverse (0.007087 sec)
     passed  7/7  uniquify-space-prefix (0.007681 sec)

  Ran 7 tests, 6 results as expected, 1 unexpected (2024-09-12 12:30:55-0400, 0.310196 sec)

  1 unexpected results:
     FAILED  uniquify-project-transform

---

In GNU Emacs 30.0.91 (build 2, x86_64-pc-linux-gnu, GTK+ Version
 3.24.41, cairo version 1.18.0) of 2024-09-12 built on fedora
Windowing system distributor 'The X.Org Foundation', version 11.0.12014000
System Description: Fedora Linux 39 (Xfce)

Configured features:
ACL CAIRO DBUS FREETYPE GIF GLIB GMP GNUTLS GPM GSETTINGS HARFBUZZ
JPEG LIBOTF LIBSELINUX LIBSYSTEMD LIBXML2 M17N_FLT MODULES
NATIVE_COMP NOTIFY INOTIFY PDUMPER PNG RSVG SECCOMP SOUND SQLITE3
THREADS TIFF TOOLKIT_SCROLL_BARS WEBP X11 XDBE XIM XINPUT2 XPM GTK3
ZLIB

Important settings:
  value of $LANG: en_CA.utf8
  value of $XMODIFIERS: @im=none
  locale-coding-system: utf-8-unix

Major mode: Text

Minor modes in effect:
  flyspell-mode: t
  recentf-mode: t
  erc-track-mode: t
  erc-ring-mode: t
  erc-notifications-mode: t
  erc-netsplit-mode: t
  erc-menu-mode: t
  erc-match-mode: t
  erc-list-mode: t
  erc-irccontrols-mode: t
  erc-noncommands-mode: t
  erc-move-to-prompt-mode: t
  erc-readonly-mode: t
  erc-button-mode: t
  erc-fill-mode: t
  erc-stamp-mode: t
  erc-autojoin-mode: t
  yas-global-mode: t
  yas-minor-mode: t
  savehist-mode: t
  save-place-mode: t
  erc-networks-mode: t
  electric-pair-mode: t
  display-time-mode: t
  display-battery-mode: t
  desktop-save-mode: t
  delete-selection-mode: t
  cua-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  show-paren-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  minibuffer-regexp-mode: t
  size-indication-mode: t
  column-number-mode: t
  line-number-mode: t
  global-visual-line-mode: t
  visual-line-mode: t
  transient-mark-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  temp-buffer-resize-mode: t
  abbrev-mode: t

Load-path shadows:
None found.

Features:
(shadow sort bbdb-message display-fill-column-indicator mail-extr
compile emacsbug message yank-media puny dired dired-loaddefs rfc822
mml mml-sec epa derived epg rfc6068 epg-config gnus-util
text-property-search mm-decode mm-bodies mm-encode mail-parse
rfc2231 gmm-utils mailheader sendmail rfc2047 rfc2045 ietf-drums
mm-util mail-prsvr mail-utils comp-run comp-common flyspell ispell
vc-git diff-mode track-changes easy-mmode vc-dispatcher warnings
thingatpt find-func org-version org-compat org-macs bbdb-anniv
diary-lib diary-loaddefs cal-menu calendar cal-loaddefs bbdb-com crm
mailabbrev bbdb bbdb-site timezone recentf tree-widget cus-edit pp
ido erc-track erc-ring erc-desktop-notifications notifications
erc-netsplit erc-menu erc-match erc-list erc-goodies erc-pcomplete
time-date pcomplete comint ansi-osc ansi-color ring erc-button
erc-fill erc-stamp wid-edit erc-join modus-vivendi-theme
modus-themes yasnippet-classic-snippets cl-extra yasnippet help-mode
savehist saveplace company pcase erc format-spec erc-backend
erc-networks erc-common erc-compat compat erc-loaddefs elec-pair
time battery dbus xml desktop frameset delsel cua-base cus-load
ace-window-autoloads auctex-autoloads tex-site avy-autoloads
bbdb-autoloads company-autoloads csv-mode-autoloads
debbugs-autoloads ess-autoloads expand-region-autoloads
geiser-autoloads info orderless-autoloads rx sql-indent-autoloads
yasnippet-autoloads package browse-url url url-proxy url-privacy
url-expand url-methods url-history url-cookie generate-lisp-file
url-domsuf url-util mailcap url-handlers url-parse auth-source
cl-seq eieio eieio-core cl-macs icons password-cache json subr-x map
byte-opt gv bytecomp byte-compile url-vars cl-loaddefs cl-lib rmc
iso-transl tooltip cconv eldoc paren electric uniquify ediff-hook
vc-hooks lisp-float-type elisp-mode mwheel term/x-win x-win
term/common-win x-dnd touch-screen tool-bar dnd fontset image
regexp-opt fringe tabulated-list replace newcomment text-mode
lisp-mode prog-mode register page tab-bar menu-bar rfn-eshadow
isearch easymenu timer select scroll-bar mouse jit-lock font-lock
syntax font-core term/tty-colors frame minibuffer nadvice seq simple
cl-generic indonesian philippine cham georgian utf-8-lang misc-lang
vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms
cp51932 hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese composite emoji-zwj charscript charprop case-table
epa-hook jka-cmpr-hook help abbrev obarray oclosure cl-preloaded
button loaddefs theme-loaddefs faces cus-face macroexp files window
text-properties overlay sha1 md5 base64 format env code-pages mule
custom widget keymap hashtable-print-readable backquote threads
dbusbind inotify dynamic-setting system-font-setting
font-render-setting cairo gtk x-toolkit xinput2 x multi-tty
move-toolbar make-network-process native-compile emacs)

Memory information:
((conses 16 367258 57019) (symbols 48 25731 0) (strings 32 98142 5367)
 (string-bytes 1 2981083) (vectors 16 37711)
 (vector-slots 8 466767 27508) (floats 8 195 125) (intervals 56 555 107)
 (buffers 984 13))